Hi there!
I've a problem managing custom keys. I'm not able to check if they exist. If I query a custom key that doens't exist i got an error and it exit the lisp.
What's the right command to accomplish that?
(setq App (vlax-Get-Acad-Object)
Doc (vla-Get-ActiveDocument App)
summaryInfo (vla-Get-SummaryInfo Doc)
(IF (/ nil (vla-GetCustomByKey summaryInfo "n_project" 'Value))
...
...
)
Currently I'm just looking for the number of elements and if they are less then 3 i create them all.. It's time to fix that
(IF (< (vla-NumCustomInfo summaryInfo) 3)
(crea_customkeys summaryInfo)
)
Thanks for the help!
Dennis